%define name            tetex-cmsuper
%define version         0.3.3
%define	texmfdir	%{_datadir}/texmf

Summary:	The CM-Super font set
Name:		%{name}
Version:	%{version}
Release:	3mdk
License:	GPL
Group:		Publishing
Source0:	ftp://ftp.dante.de/pub/tex/fonts/ps-type1/cm-super.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
PreReq:		tetex
Requires:	tetex-dvips
Requires:	tetex-dvipdfm
Requires:	ghostscript

%description
The CM-Super package contains Type 1 fonts converted from METAFONT
fonts and covers entire EC/TC, ECC and LH fonts (Computer Modern font
families). All European and Cyrillic writings are covered. Each Type 1
font program contains ALL glyphs from the following standard LaTeX
font encodings: T1, TS1, T2A, T2B, T2C, X2, and also Adobe
StandardEncoding (585 glyphs per non-SC font and 468 glyphs per SC
font), and could be reencoded to any of these encodings using standard
dvips or pdftex facilities (the corresponding support files are also
included).

%prep
%setup -q -n cm-super

%build
gzip -d afm/*.afm.gz

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{texmfdir}/fonts/{afm,type1}/public/cm-super \
	$RPM_BUILD_ROOT%{texmfdir}/dvips/cm-super
 
install -m 644 pfb/*.pfb \
	$RPM_BUILD_ROOT%{texmfdir}/fonts/type1/public/cm-super

install -m 644 afm/*.afm \
	$RPM_BUILD_ROOT%{texmfdir}/fonts/afm/public/cm-super

install -m 644 dvips/*.enc $RPM_BUILD_ROOT%{texmfdir}/dvips/cm-super
install -m 644 dvips/*.map $RPM_BUILD_ROOT%{texmfdir}/dvips/cm-super

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
if [ -x %_bindir/updmap ]; then
	%_bindir/updmap --quiet --enable Map cm-super-t1.map
	%_bindir/updmap --quiet --enable Map cm-super-t1.map
	%_bindir/updmap --quiet --enable Map cm-super-ts1.map
	%_bindir/updmap --quiet --enable Map cm-super-t2a.map
	%_bindir/updmap --quiet --enable Map cm-super-t2b.map
	%_bindir/updmap --quiet --enable Map cm-super-t2c.map
	%_bindir/updmap --quiet --enable Map cm-super-x2.map
fi
exit 0

%preun
if [ "$1" = "0" ]; then
	%_bindir/updmap --quiet --disable cm-super-t1.map
	%_bindir/updmap --quiet --disable cm-super-t1.map
	%_bindir/updmap --quiet --disable cm-super-ts1.map
	%_bindir/updmap --quiet --disable cm-super-t2a.map
	%_bindir/updmap --quiet --disable cm-super-t2b.map
	%_bindir/updmap --quiet --disable cm-super-t2c.map
	%_bindir/updmap --quiet --disable cm-super-x2.map
fi
exit 0

%postun
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%files
%defattr(-,root,root)
%doc ChangeLog COPYING FAQ INSTALL README TODO
%{texmfdir}/dvips/cm-super/*
%{texmfdir}/fonts/afm/public/cm-super/*.afm
%{texmfdir}/fonts/type1/public/cm-super/*.pfb

%changelog
* Sat Feb 28 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.3.3-3mdk
- Added tetex in PreReq.

* Tue Mar 11 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.3.3-2mdk
- Updated for tetex 2.0.1.

* Fri Jul 05 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.3.3-1mdk
- Updated to release 0.3.3.

* Fri Mar 01 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.3.2-1mdk
- initial release.
- added %post script to update updmap (thanks for sed script to
  Stefan Siegel <stefan@mandrakesoft.com>).
